Bug 177359 - Review Request: itk - object oriented extensions for Tk
Summary: Review Request: itk - object oriented extensions for Tk
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: John Mahowald
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On: 174265
Blocks: FE-ACCEPT 174268
TreeView+ depends on / blocked
 
Reported: 2006-01-10 00:39 UTC by Wart
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-22 06:03:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Wart 2006-01-10 00:39:59 UTC
Spec Name or Url: http://www.kobold.org/~wart/fedora/itk.spec
SRPM Name or Url: http://www.kobold.org/~wart/fedora/itk-3.3-0.1.RC1.src.rpm
Description: 

[incr Tk] is Tk extension that provides object-oriented features that are
missing from the Tk extension to Tcl.  The OO features provided by itk are
useful for building megawidgets.

Comment 1 Wart 2006-01-12 05:00:50 UTC
New package that fixes the build problems on the devel branch.

http://www.kobold.org/~wart/fedora/itk-3.3-0.2.RC1.src.rpm
http://www.kobold.org/~wart/fedora/itk.spec

Comment 2 John Mahowald 2006-02-18 21:58:46 UTC
Good:

- rpmlint checks return:
rpmlint of itk-devel-3.3-0.2.RC1.fc4.i386.rpm: W: itk-devel no-documentation

- package meets naming guidelines
- follows guidlines for release canidate
- package meets packaging guidelines
- license (BSD) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on FC4 i386
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file

- devel package ok
- no .la files
- devel requires base package n-v-r

APPROVED

Comment 3 Wart 2006-02-22 06:03:05 UTC
Imported and built on devel.

Thanks!

Comment 4 Wart 2007-06-27 15:14:21 UTC
Package Change Request
======================
Package Name: itk
New Branches: EL-4 EL-5

Comment 5 Kevin Fenzi 2007-06-27 19:48:37 UTC
cvs done.


Note You need to log in before you can comment on or make changes to this bug.